import type { CommonProps } from '@/common/mixin/props';
import type { CssClassConfig } from './types';
interface Props extends CommonProps {
    name?: string;
    row: Record<string, unknown>;
    field?: string;
    fields?: string[];
    editable?: boolean;
    valueType?: string;
    width?: number;
    borderTop?: boolean;
    inEditMode?: boolean;
    cssClass?: CssClassConfig;
}
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    editable: boolean;
    valueType: string;
    borderTop: boolean;
    inEditMode: boolean;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    mount: () => void;
    unmount: () => void;
    beforeEdit: (value: unknown) => void;
    afterEdit: (value: unknown) => void;
    beforeChange: (value: unknown) => void;
    afterChange: (value: unknown) => void;
    updated: () => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    editable: boolean;
    valueType: string;
    borderTop: boolean;
    inEditMode: boolean;
}>>> & {
    onMount?: (() => any) | undefined;
    onUnmount?: (() => any) | undefined;
    onAfterChange?: ((value: unknown) => any) | undefined;
    onBeforeEdit?: ((value: unknown) => any) | undefined;
    onAfterEdit?: ((value: unknown) => any) | undefined;
    onBeforeChange?: ((value: unknown) => any) | undefined;
    onUpdated?: (() => any) | undefined;
}, {
    editable: boolean;
    valueType: string;
    borderTop: boolean;
    inEditMode: boolean;
}, {}>, Readonly<{
    edit(props: {
        click: () => void;
        value: unknown;
        update: (value: unknown) => void;
        isChangeAllowed: boolean;
        toggle: () => void;
        customChange: (value: string, view?: string | undefined) => void;
        row: Record<string, unknown> | undefined;
        hideEdit: () => void;
        setTrueFlag: () => void;
    }): any;
    view(props: {
        click: () => void;
        value: unknown;
        view: string;
        row: Record<string, unknown> | undefined;
        setTrueFlag: () => void;
    }): any;
}>>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
