import { CommonProps } from '@/common/mixin/props';
import { Options, Value } from '@/common/types/select';
export interface Props extends CommonProps {
    options: Options | undefined;
    modelValue: Value;
    inline?: boolean;
    titleField?: string;
    valueField?: string;
    name?: string;
}
declare const _default: import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    inline: boolean;
    titleField: string;
    valueField: string;
    name: string;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    mount: () => void;
    unmount: () => void;
    "update:modelValue": (value: Value) => void;
    "model-value-updated": (value: Value) => void;
    focusout: () => void;
    focusin: () => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    inline: boolean;
    titleField: string;
    valueField: string;
    name: string;
}>>> & {
    onFocusin?: (() => any) | undefined;
    onFocusout?: (() => any) | undefined;
    onMount?: (() => any) | undefined;
    onUnmount?: (() => any) | undefined;
    "onModel-value-updated"?: ((value: Value) => any) | undefined;
    "onUpdate:modelValue"?: ((value: Value) => any) | undefined;
}, {
    titleField: string;
    valueField: string;
    name: string;
    inline: boolean;
}, {}>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
